apiVersion: v1
kind: Pod
metadata:
  name: cluster-tools-dev-pod
spec:
  containers:
  - name: cluster-tools-dev-pod-container
    image: gitlab-registry.nautilus.optiputer.net/ncmir/cluster-tools
    args: ["sleep", "infinity"]
    resources:
      limits:
        cpu: "1"
        memory: "8Gi"
      requests:
        cpu: "1"
        memory: "8Gi"
    volumeMounts:
    - mountPath: /ceph
      name: ceph
  restartPolicy: Never
  volumes:
    - name: ceph
      flexVolume:
        driver: ceph.rook.io/rook
        fsType: ceph
        options:
          fsName: nautilusfs
          clusterNamespace: rook
          path: /ncmir-mm
          mountUser: ncmir-mm
          mountSecret: ceph-fs-secret
  imagePullSecrets:
  - name: regcred-cluster-tools
